Strumenti Utente

Strumenti Sito


documentazione_3di:extrawaybridge:requisiti_sistema

Requisiti di sistema per eXtraWay Bridge

Per poter installare eXtraWay Bridge è necessario installare almeno la versione base di eXtraWay Platform disponibile per Linux o Windows

La piattaforma eXtraWay è composta da un servlet container Java, nella versione base si tratta di Apache Tomcat, e il database basato su XML eXtraWay.

Requisiti Hardware (server)

Le specifiche della macchina server dipendono principalmente dall'entità dei dati che dovranno essere processati da eXtraWay Bridge. In linea di massima le prestazioni dipendono dalla velocità dei dispositivi di memorizzazione, dalla velocità della rete e, per la gestione di allegati non testuali, dalla memoria RAM.

Requisiti Minimi

  • Processore Intel Pentium 4 o compatibile
  • 2 GB di RAM

Consigliati

  • Processore Intel Xeon multicore o compatibile;
  • 4 GB di RAM;
  • Dispositivo di storage ad alta affidabilità (Raid) o moduli esterni (Nas, Sas);
  • Scheda di rete Gigabit o superiore;
  • Alimentazione tramite gruppo di continuità;

Requisiti software

Requisiti minimi java

  • Java Runtime Environment 1.6
  • Apache Tomcat 6.0

Server Linux

Distribuzioni Linux Supportate

eXtraway Bridge è stato testato ed è utilizzato con diverse distribuzioni:


Sono consigliati ad ora dal servizio assistenza 3di:

  • Redhat Enterprise 5 64bit
  • Centos 6.4 64bit
  • Ubuntu Server 12.04 LTS 64bit
  • Gentoo 64bit


Librerie di sistema richieste

Le librerie di sistema necessarie al corretto funzionamento dei componenti che compongono ExtraWay. Solitamente collocate in /lib e /usr/lib:

  • libdl.so.2
  • libz.so.1
  • libstdc++.so.6
  • libm.so.6
  • libgcc_s.so.1
  • libpthread.so.0
  • libc.so.6 (minimo glibc 2.5)
  • libxml2.so.2
  • libxslt.so.1
  • libzip.so.1


ATTENZIONE: Gli eseguibili del motore eXtraWay non hanno ancora una versione dispobibile a 64bit. E' necessario pertanto installare le librerie di compatibilita ia32 sulle macchine a 64 bit della maggior parte delle distribuzioni. Inoltre esistono alcuni casi riportati 1) sul quale è necessario installare manualmente le librerie elencate in versione 32bit. Se non è possibile effettuare questi passaggi o le librerie indicate non sono presenti, la specifica distribuzione non è supportata.

Server Windows

  • Windows server 2003 sp2
  • Windows server 2008 r2 64bit
  • Windows server 2012 64bit
  • Antivirus che possa essere configurato con eccezioni per quanto riguarda il controllo dei processi (ad esempio panda non funziona)
  • Accesso tramite remote desktop o vnc2)

Client

Macchina client con collegamento di rete diretto al server, si sconsiglia l'utilizzo di indirizzi mappati con tecnologia NAT.

Browser supportati

  • Internet Explorer 6 sp 1 3)
  • Internet Explorer 7
  • Internet Explorer 8 4)
  • Internet Explorer 9 5)
  • Mozilla Firefox 6)
  • Chrome 7)
1)
Al momento RHEL 5.6
2)
Nel caso si voglia usufruire dell'assistenza da remoto da parte di 3DI
3)
Sono stati segnalati alcuni errori con il javascript per quanto riguarda il completamento automatico
4) , 5)
in modalità compatibile
6) , 7)
per il funzionamento ottimale potrebbe essere richiesto un aggiornamento alla versione attuale
documentazione_3di/extrawaybridge/requisiti_sistema.txt · Ultima modifica: 2017/09/08 10:58 (modifica esterna)